Sarge to Etch upgrade - PHP5 failed

Discussion in 'Server Operation' started by tfunky, Dec 19, 2007.

  1. tfunky

    tfunky New Member

    I'm stuck...again.

    Very long story short I tried to upgrade from Sarge to Etch and everything seems to look okay, other than PHP5 failed.

    <code>
    atest:~# /etc/init.d/apache2 force-reload
    Forcing reload of web server: Apache2 ... failed!
    You may still have some apache2 processes running. There are
    processes named 'apache2' which do not match your pid file,
    and in the name of safety, we've left them alone. Please review
    the situation by hand.
    Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load:
    API module structure `php5_module' in file /usr/lib/apache2/modules/libphp5.so is garbled - perhaps this is not an Apache module DSO?
    atest:~#
    </code>

    I've googled around and keep coming up with people walking through compiling Apache2 from source which is NOT what I want to do ;)

    Can someone please help me un-break my system?

    Thanks!!!
     
  2. falko

    falko Super Moderator

    What's in /etc/apache2/mods-enabled/php5.load?
    Have you tried to run
    Code:
    apt-get update
    apt-get upgrade
    ?
     
  3. tfunky

    tfunky New Member

    apt-get update goes okay.

    apt-get upgrade I get the following:

    a-test:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree... Done
    The following packages have been kept back:
    apache2 apache2-mpm-prefork apache2-utils libapache2-mod-perl2 python
    reportbug
    0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
    a-test:~#

    php5.load has the following:

    a-test:~# cat /etc/apache2/mods-enabled/php5.load
    LoadModule php5_module /usr/lib/apache2/modules/libphp5.so
    a-test:~#
     
  4. falko

    falko Super Moderator

    What's the output of
    Code:
    ls -l /usr/lib/apache2/modules/libphp5.so
    ? What's in /etc/apt/sources.list and /etc/debian_version?
     
  5. tfunky

    tfunky New Member

    Code:
    a-test:~# ls -l /usr/lib/apache2/modules/libphp5.so
    
    -rw-r--r-- 1 root root 5786344 2007-12-10 03:45 /usr/lib/apache2/modules/libphp5.so
    a-test:~#


    Code:
    a-test:~# cat /etc/apt/sources.list
    #deb file:///cdrom/ sarge main
    deb http://security.debian.org/ etch/updates main contrib non-free
    deb http://mirrors.kernel.org/debian/ stable main
    deb-src http://mirrors.kernel.org/debian/ stable main
    
    deb http://security.debian.org/ stable/updates main
    
    deb http://packages.dotdeb.org stable all
    deb-src http://packages.dotdeb.org stable all
    #deb http://www.backports.org/debian/ sarge-backports main
    a-test:~#


    Code:
    a-test:~# cat /etc/debian_version
    4.0
    a-test:~#
    If it has any relevance, this is the same box you'd made some recommendations on to install rsycn because it wanted to replace the kernel, with the same one. (that is what lead to to fully upgrading the box)

    I did a :
    Code:
    # apt-get update
    
    # apt-get install aptitude
    
    # aptitude -f --with-recommends dist-upgrade
    So I think it probably showing 4. instead of 3., but beyond that I don't know.
     
  6. falko

    falko Super Moderator

    Replace your sources.list with this one:

    Code:
    deb http://ftp.freenet.de/debian/ etch main non-free contrib
    deb-src http://ftp.freenet.de/debian/ etch main non-free contrib
    
    deb http://security.debian.org/ etch/updates main contrib non-free
    deb-src http://security.debian.org/ etch/updates main contrib non-free
    Then run
    Code:
    apt-get update
    apt-get upgrade
     
  7. tfunky

    tfunky New Member

    Code:
    a-test:~# cat /etc/apt/sources.list
    #deb file:///cdrom/ sarge main
    #deb http://security.debian.org/ etch/updates main contrib non-free
    #deb http://mirrors.kernel.org/debian/ stable main
    #deb-src http://mirrors.kernel.org/debian/ stable main
    
    #deb http://security.debian.org/ stable/updates main
    
    #deb http://packages.dotdeb.org stable all
    #deb-src http://packages.dotdeb.org stable all
    #deb http://www.backports.org/debian/ sarge-backports main
    deb http://ftp.freenet.de/debian/ etch main non-free contrib
    deb-src http://ftp.freenet.de/debian/ etch main non-free contrib
    
    deb http://security.debian.org/ etch/updates main contrib non-free
    deb-src http://security.debian.org/ etch/updates main contrib non-free
    a-test:~#
    
    Code:
    a-test:~# apt-get update
    Get: 1 http://ftp.freenet.de etch Release.gpg [378B]
    Hit http://ftp.freenet.de etch Release
    Ign http://ftp.freenet.de etch/main Packages/DiffIndex
    Ign http://ftp.freenet.de etch/non-free Packages/DiffIndex
    Ign http://ftp.freenet.de etch/contrib Packages/DiffIndex
    Ign http://ftp.freenet.de etch/main Sources/DiffIndex
    Ign http://ftp.freenet.de etch/non-free Sources/DiffIndex
    Ign http://ftp.freenet.de etch/contrib Sources/DiffIndex
    Hit http://ftp.freenet.de etch/main Packages
    Hit http://ftp.freenet.de etch/non-free Packages
    Hit http://ftp.freenet.de etch/contrib Packages
    Hit http://ftp.freenet.de etch/main Sources
    Hit http://ftp.freenet.de etch/non-free Sources
    Hit http://ftp.freenet.de etch/contrib Sources
    Get: 2 http://security.debian.org etch/updates Release.gpg [189B]
    Hit http://security.debian.org etch/updates Release
    Ign http://security.debian.org etch/updates/main Packages/DiffIndex
    Ign http://security.debian.org etch/updates/contrib Packages/DiffIndex
    Ign http://security.debian.org etch/updates/non-free Packages/DiffIndex
    Ign http://security.debian.org etch/updates/main Sources/DiffIndex
    Ign http://security.debian.org etch/updates/contrib Sources/DiffIndex
    Ign http://security.debian.org etch/updates/non-free Sources/DiffIndex
    Hit http://security.debian.org etch/updates/main Packages
    Hit http://security.debian.org etch/updates/contrib Packages
    Hit http://security.debian.org etch/updates/non-free Packages
    Hit http://security.debian.org etch/updates/main Sources
    Hit http://security.debian.org etch/updates/contrib Sources
    Hit http://security.debian.org etch/updates/non-free Sources
    Fetched 2B in 2m1s (0B/s)
    Reading package lists... Done
    a-test:~#
    
    Code:
    a-test:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree... Done
    The following packages have been kept back:
      apache2 apache2-mpm-prefork apache2-utils libapache2-mod-perl2 python
      reportbug
    0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
    a-test:~#
    

    Still holding back Apache. Is that the source of the problem?

    Thanks for your helP!
     
  8. falko

    falko Super Moderator

    You could try this:
    Code:
    apt-get install apache2 apache2-mpm-prefork apache2-utils
     
  9. tfunky

    tfunky New Member

    I wound up that those packages were "held back"

    I basically gave up and built another server from scratch :)

    Thanks for your help!
     

Share This Page